AOZ Studio Beta - Bug #539

In Amiga mode, the Plot command draws dots that are of inconsistent size and shape.
10/04/2020 11:57 PM - Brian Flanagan

Status: Feedback Start date: 10/04/2020
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: Beta RC3

Description

The following code should display a grid of evenly spaced dots, all exactly the same size.

History

#1 - 10/05/2020 12:03 AM - Brian Flanagan

The code works fine in AOZ/PC mode, but not in Amiga mode.

#manifest: "amiga"
#speed: "safe"
#displayWidth: 320
#displayHeight: 256

scriWidth=320 : scrHeight=256
Screen Open 0,scrWidth, scrHeight, 32, Lowres
If Manifest$="amiga"

Palette $000, $0FO
Else

Palette $000000, $SOOFFO00
End If
Flash Off : Curs Off : Cls O
Ink 1 ' green
For x=0 To 319 Step 2

For y=0 To 199 Step 2

Plot x,y

Next y

Next x

#2 - 10/07/2020 07:17 AM - Francois Lionet
- Status changed from New to Feedback

- Assignee changed from AOZ Studio Team to Francois Lionet

Not much can be done against that for the moment | am afraid. This is due to the scaling of a small screen for displaying in a larger screen, and the
rounding in calculations.
This will be corrected when finally | have time to implement the real Amiga renderer.
